var builder = require('xmlbuilder');

module.exports = function(data) {
  var root = builder.create('data', { PropFormat: 'node', headless: true, skipNullAttributes: true });
  var response = root.ele('TXMLResponse');

  response.ele('ResultType', 'TJumping');

  var resultData = response.ele('ResultData');

  resultData.ele('Id', data.id || 0);
  resultData.ele('Num', data.horseNo || '');
  resultData.ele('St', data.startNo || '');
  resultData.ele('Rider', data.riderName || '');
  resultData.ele('Nat', data.riderCountry || '');
  resultData.ele('Horse', data.horseName || '');
  // resultData.ele('Father', data.sireName);
  // resultData.ele('Mother', data.dameName);
  // resultData.ele('GrandFather', data.dameSireName);
  // resultData.ele('Sex', data.sex);
  // resultData.ele('Breed', data.breed);
  // resultData.ele('Color', data.color);
  // resultData.ele('BornYear', data.bornYear);
  // resultData.ele('Breeder', data.breeder);
  // resultData.ele('Owner', data.owner);
  resultData.ele('Org', data.clubName || '');
  resultData.ele('OrgId', data.logoId || '');

  if(data.countDown && data.countDownValue && !data.running)
    resultData.ele('Faults', ('' + data.countDownValue).replace(/(\.\d+)/, ''));
  else
    resultData.ele('Faults', ('' + data.faults).replace('.', ','));

  resultData.ele('TimeFaults', ('' + data.timeFaults).replace('.', ','));

  if(data.totalFaults)
    resultData.ele('TotalFaults', ('' + data.totalFaults).replace('.', ','));

  resultData.ele('BaseTime', ('' + data.baseTime).replace('.', ','));

  if(data.running)
    resultData.ele('ATime', parseInt(data.time, 10));
  else
    resultData.ele('ATime', data.time || '');

  if(data.timeToBeatTime)
    resultData.ele('TimeToBeat', ('' + data.timeToBeatTime).replace('.', ','));

  if(data.timeToBeatDiff)
    resultData.ele('TimeLeft', ('' + data.timeToBeatDiff).replace('.', ','));

  resultData.ele('Phase', data.phase || '');

  if(data.rank !== 999)
    resultData.ele('Rank', data.rank);

  resultData.ele('countDown', (data.countDown ? 1 : 0));
  resultData.ele('countDownValue', data.countDownValue || '');

  if(data.status)
    resultData.ele('status', data.status);

  resultData.ele('Running', (data.running ? 1 : 0));

  return root.doc().end().replace('<data>', '<data PropFormat="node">');
};

// module.exports = function(data) {
//   var xml = '';

//   xml += '<data PropFormat="node">';
//   xml += '<TXMLResponse>';
//   xml += '<ResultType>TJumping</ResultType>';
//   xml += '<ResultData>';
//   xml += '<Id>' + data.id + '</Id>';
//   xml += '<Num>' + data.horseNo + '</Num>';
//   xml += '<St>' + data.startNo + '</St>';
//   xml += '<Rider>' + data.riderName + '</Rider>';
//   xml += '<Horse>' + data.horseName + '</Horse>';
//   xml += '<Father>' + data.sireName + '</Father>';
//   xml += '<Mother>' + data.dameName + '</Mother>';
//   xml += '<GrandFather>' + data.dameSireName + '</GrandFather>';
//   xml += '<Sex>' + data.sex + '</Sex>';
//   xml += '<Breed>' + data.breed + '</Breed>';
//   xml += '<Color>' + data.color + '</Color>';
//   xml += '<BornYear>' + data.bornYear + '</BornYear>';
//   xml += '<Breeder>' + data.breeder + '</Breeder>';
//   xml += '<Owner>' + data.owner + '</Owner>';
//   xml += '<Org>' + data.clubName + '</Org>';
//   xml += '<OrgId>' + data.logoId + '</OrgId>';
//   xml += '<Faults>' + data.faults + '</Faults>';
//   xml += '<TimeFaults>' + data.timeFaults + '</TimeFaults>';
//   xml += '<TotalFaults>' + data.totalFaults + '</TotalFaults>';
//   xml += '<BaseTime>' + data.BaseTime + '</BaseTime>';
//   xml += '<ATime>' + data.time + '</ATime>';
//   xml += '<Phase>' + data.phase + '</Phase>';
//   xml += '<Rank>' + data.rank + '</Rank>';
//   xml += '<countDown>' + (data.countDown ? 1 : 0) + '</countDown>';
//   xml += '<Running>' + (data.running ? 1 : 0) + '</Running>';
//   xml += '</ResultData>';
//   xml += '</TXMLResponse>';
//   xml += '</data>';

//   return xml;
// };



