var path = require('path');
var fs = require('fs');
var src = path.join(path.dirname(fs.realpathSync(__filename)), '../src');
var http = require('http');
var qs = require('querystring');
var url = require('url');
var udpServer = require(src + '/udp-server');

var XmlResultProvider = {
  xmlResponse: function(raw){
    var converted = raw.replace('<TResultsProvider>', '<TXMLResponse><ResultType>TResultsProvider</ResultType><ResultData>');
    converted = converted.replace('</TResultsProvider>', '</ResultData></TXMLResponse>');
    converted = converted.replace(/\./g, ',').trim();
    return converted;
  },

  load: function(xmlUrl){
    var uri = url.parse(xmlUrl);

    var callback = function(response) {
      var body = '';
      response.on('data', function (chunk) { body += chunk; });

      response.on('end', function () {
        console.log('Fetched XmlResultProvider');
        udpServer.broadcast(XmlResultProvider.xmlResponse(body));
      });
    };

    var request = http.request({ host: uri.hostname, port: uri.port, path: uri.path }, callback);

    request.on('error', function(err) {
      console.log('Error ', xmlUrl, ' ', err);
    });

    request.end();
  }
};


module.exports = XmlResultProvider;
