#!/usr/bin/env node

var PORT = 8005;
var HOST = '127.0.0.1';

var dgram = require('dgram');
var zlib = require('zlib');
var iconv = require('iconv-lite');
var client = dgram.createSocket('udp4');

var keepAlive = function(){
  var message = new Buffer('PING');
  client.send(message, 0, message.length, PORT, HOST, function(err, bytes) {
    if (err) throw err;
      console.log('UDP message sent to ' + HOST + ':' + PORT);
  });
};
keepAlive();
setInterval(keepAlive, 60 * 1000);

client.on('message', function (data, remote) {
  var message = data.toString('utf8');
  if(message === 'OK')
    console.log(message);
  else if(message.indexOf('<data') === 0)
    console.log(message);
  else
    zlib.inflate(data, function(err, buff){
      console.log(buff.toString('utf8'));
    });
});
