var path = require('path');
var fs = require('fs');
var src = path.join(path.dirname(fs.realpathSync(__filename)), '../src');
var http = require('http');
var qs = require('querystring');
var udpServer = require(src + '/udp-server');
var resultProvider = require(src + '/results-provider');

http.createServer(function (req, res) {

  if (req.method === 'POST') {
    var body = '';
    req.on('data', function (data) { body += data; });
    req.on('end', function () {
      var data = qs.parse(body);
      if(data.content){
        console.log('Received HTTP Post with content');
        udpServer.broadcast(resultProvider.xmlResponse(data.content));
      }
    });
  }

  res.writeHead(200, {'Content-Type': 'text/html'});
  res.end('Webhook received');

}).listen(8010);
